Bug 36436 - XslCompiledTransform causes hang during execution
Summary: XslCompiledTransform causes hang during execution
Status: RESOLVED FIXED
Alias: None
Product: Android
Classification: Xamarin
Component: General (show other bugs)
Version: 6.0.0
Hardware: PC Mac OS
: Normal critical
Target Milestone: C6SR1
Assignee: Marek Habersack
URL:
Depends on:
Blocks:
 
Reported: 2015-12-01 17:34 UTC by Cody Beyer (MSFT)
Modified: 2016-01-28 19:26 UTC (History)
4 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description Cody Beyer (MSFT) 2015-12-01 17:34:57 UTC
### Description

The following app demonstrates a failure when attempting to run XslCompiledTransform.Transform. Execution will freeze. 

### Sample

https://www.dropbox.com/s/aqtpkvd9wcfpkov/Dmitry%20Timakin%20-%20XsltTest.zip?dl=0

### Steps to Reproduce

1. Download sample
2. Set breakpoint at line 50 of XslTest.cs
3. Debug
4. Once breakpoint is hit, continue

### Expected Results

Application should continue execution

### Actual Results

App hangs and eventually the debugger will disconnect 

### Versions

Version info:

Xamarin Studio
Version 5.10 (build 871)
Installation UUID: cb7d146f-4cc3-4a18-a7fc-19f20eb50646
Runtime:
Microsoft .NET 4.0.30319.42000
GTK+ 2.24.23 (MS-Windows theme)
GTK# 2.12.30

Xamarin.Profiler
Not Installed

Xamarin.Android
Version: 6.0.0 (Business Edition)
Android SDK: C:\Users\Dmitry\AppData\Local\Android\android-sdk
Supported Android versions:
4.4 (API level 19)
5.0 (API level 21)
6.0 (API level 23)

SDK Tools Version: 24.4.1
SDK Platform Tools Version: 23.0.1

SDK Build Tools Version: 23.0.2


Java SDK: C:\Program Files (x86)\Java\jdk1.7.0_71
java version "1.7.0_71"
Java(TM) SE Runtime Environment (build 1.7.0_71-b14)
Java HotSpot(TM) Client VM (build 24.71-b01, mixed mode, sharing)

Xamarin Android Player
Not Installed

Build Information
Release ID: 510000871
Git revision: 4e9c5abb5ffdae12ba02ac49da83f8b2011dbb88
Build date: 2015-11-12 07:16:34-05
Xamarin addins: 55007ed0e56436f385d8e26394a45be563abc7e8
Build lane: monodevelop-windows-cycle6

Operating System
Windows 10.0.10240.0 (64-bit)
Comment 1 Marek Habersack 2015-12-10 21:51:52 UTC
Fixed in https://github.com/mono/mono/commit/262b4ef73fe6a3a24b8cec48b4123abd5311c1c0

The fix hasn't been included in any of the products yet (it also affects Xamarin.iOS)
Comment 2 Marek Habersack 2015-12-10 22:10:44 UTC
Fix cherry-picked to the 4.3.1 branch in https://github.com/mono/mono/commit/f49b93fddc7347faa02747ea7060772f7ee2f3db
Comment 3 Marek Habersack 2015-12-12 13:07:45 UTC
Fix included in XA/master, commit 4d184b26c7c6203ced07e3d8dc7798bd1415ee26
Comment 4 Abhishek 2015-12-14 18:12:29 UTC
I am able to reproduce this issue with the stable build:

Application Output: https://gist.githubusercontent.com/Abhishekk360/8b04d35e7b2fe7a943b0/raw/7e66fa29767fbad4166a2d7767b6e19baabe6ccd/Application%2520Output

To verify this issue I have checked this issue with the latest master build:
mono-android-6.0.99-270_52edc13ef5f215ca286ad95f0b0ea4d9b52073d1. Now this issue is working fine. Here is the screencast for the same:
http://www.screencast.com/t/zjn4IjNWEct

Hence closing this issue.

Thanks!